Imports DigitalData.Modules.Logging

''' <summary>
''' BaseClass that sets up a Logger.
''' </summary>
Public Class BaseClass
    Protected LogConfig As LogConfig
    Protected Logger As Logger

    Public Sub New(LogConfig As LogConfig)
        Dim oClassName = Me.GetType().Name

        Me.LogConfig = LogConfig
        Me.Logger = LogConfig.GetLogger(oClassName)
    End Sub
End Class